Core - Bug # 48181

Status: Closed Priority: Should have
Author: Ralle Blichnitz Category: Content Rendering
Created: 2013-05-14 Assigned To:

Updated: 2013-09-25 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus:

Subject: Opening an image wit text element fails after update to 6.0.x

Description

| get the follwoing error:

Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1320575630: Folder windows-7/ does not exist. |
TYPO3\CMS\Core\Resource\Exception\FolderDoesNotExistException thrown in file
/html/typo3/typo3_src-6.0.5/typo3/sysext/core/Classes/Resource/ResourceStorage.php in line 1638. Requested URL:
http://www.qitec.de/typo3/alt_doc.php?returnUrl=mod.php%3F%26M%3Dweb list%26id%3D4&#38;edit[tt content][13]=edit

The image is still there and displayed in Frontend even after cache was cleared. | also stepped through all update-steps in install tool.

Maybe this should only be a warning and the content element should still open with a 'missing image' hint or something like that.

Related issues:

related to Core - Bug # 47222: Uncaught TYPOS3 Exception in RTE when using FA... Closed 2013-04-15
related to Core - Bug # 48956: Copying a link to a non-exisiting location int... Closed 2013-06-08
History

#1 - 2013-05-15 06:06 - Georg Ringer

looks like #46785 can you test the patch and report feedback in gerrit or here?

#2 - 2013-05-15 09:11 - Ralle Biichnitz

1. this is a folder exception
2. the web path for the image works and the image is still present (http://www.domain.de/fileadmin/_migrated/pics/win7 ultimate.jpg)

3. the only path that contains the string "windows 7/" comes from the destination link (http://www.domain.de/windows-7/)

| think the path resolution to the picture uses for some false reason the url path to the site in the Backend. Maybe the abs_ref-prefix was mixed up
during 6.0 update!?
PICTURE :: DOMAIN/fileadmin/_migrated/pics/win7_ultimate.jpg
LINKS TO :: DOMAIN/windows-7/
#3 - 2013-05-15 10:09 - Alexander Opitz

This isn't #46785 as it is sitting somewhere else.

From which version did you upgrade?
http://www.qitec.de/typo3/alt_doc.php?returnUrl=mod.php%3F%26M%3Dweb_list%26id%3D4&#38;edit[tt_content][13]=edit
http://www.domain.de/fileadmin/_migrated/pics/win7_ultimate.jpg
http://www.domain.de/windows-7/

#4 - 2013-05-15 10:09 - Alexander Opitz
- Status changed from New to Needs Feedback

#5 - 2013-05-15 10:21 - Ralle Biichnitz

Prior version was 4.7.9

#6 - 2013-06-05 12:32 - David Voigt

After updating TYPOS from a 4.x version (sorry, | don't remember the exact version) to 6.0 I'm getting this error:
Oops, an error occurred!

Folder typo3/# does not exist.

More information regarding this error might be available online.

The log is a little more specific:

Core: Exception handler (WEB): Uncaught TYPO3 Exception: #1320575630: Folder typo3/# does not exist. |
TYPO3\CMS\Core\Resource\Exception\FolderDoesNotExistException thrown in file
/html/typo3_src-6.0.6/typo3/sysext/core/Classes/Resource/ResourceStorage.php in line 1644. Requested URL:
http://www.my-domain.de/typo3/alt_doc.php?returnUrl=%2Ftypo3conf%2Fext%2Ftemplavoila%2Fmod1%2Findex.php%3Fid%3D138%23c1fdb4d575b55497f7
55497f7a771d49826b7fad&edit[tt_content][172]=edit

What | did:

- Update to 6.0.6

- Create new page template with Templavoila

- Create new page

- Assign newly created template to page

- Create a standard text element

- Edit the text element

- Make a copy of the text element

Everything works as expected until now, but then:

- Edit the copied element - crash
- Edit the original element - crash

What I've tried so far, unsuccesfully:

- Deleted the copy, but still can't edit the original text element. Editiing works fine on all elements on all other pages.
- Switched the page template back to what it was

- Logged out and back in, cleared cache

What works:

- deactivate RTE

- remove faulty link from text (it was copied from a source where it says <a href="#">
- reactivate RTE, all is fine
Does this belong here, too? It says "Core:" and it has the exact same exception number.

#7 - 2013-06-08 15:43 - Philipp Gampe

Can you test whether the patch for #47222 fixes the issue?

#8 - 2013-09-24 09:43 - Alexander Opitz
- Is Regression set to No

Hi,

please can you test latest versions of TYPO3 CMS 6.0 or 6.1 and tell us if your problem was fixed or not.

#9 - 2013-09-24 09:53 - Ralle Biichnitz

Typo3 is version 6.1.5 now and everything works fine now.

THX

#10 - 2013-09-25 10:02 - Alexander Opitz
- Status changed from Needs Feedback to Closed

Thanks for testing and reporting.
